import { LeftNaviComponent } from './left-nav.component';
import { LeftSideComponent } from './left-side.component';
import { MainContentsComponent } from './main-contents.component';
import { RightSideComponent } from './right-side.component';
import { RightDrawerComponent } from './right-drawer.component';

import { LEFT_SIDENAV_COMPONENTS } from './left-sidenav';
import { MAIN_CONTENTS_COMPONENTS } from './main-contents';
import { RIGHT_DRAWER_COMPONENTS } from './right-drawer';

export const COMPONENTS = [
  LeftNaviComponent,
  LeftSideComponent,
  MainContentsComponent,
  RightSideComponent,
  RightDrawerComponent,

  ...LEFT_SIDENAV_COMPONENTS,
  ...MAIN_CONTENTS_COMPONENTS,
  ...RIGHT_DRAWER_COMPONENTS
];
